About LGD
ST Games Archive
TOS ROM files
ST Hardware

PaCifiST
STEEM
SainT
WinSTon
Other ST Emulators

Atari ST CD-Roms For Sale
Top Atari ST Web Links
Login
Logout
Profile

Fuji BBS
ST Games BBS
ST Emulators BBS

Set Preferences
Save Desktop
Print Screen
DeskFileViewOptions 

Return to the LGD home page Atari ST Games Archive Trash Can!
 Search:
Ignore PD/Shareware games
Frontier Elite 2
Publisher: GameTek     Developer: Unknown
Year of release: 1994

Click here to see the box of this game on-line Frontier Elite 2 Click here to listen to the music from Frontier Elite 2 on-line
Genres : 3D / Action / Sci-fi / Strategy

94%
Click here to see other games reviewed in this issue of Atari ST User
Atari ST User
# 96 - Jan 94
91%
Click here to see other games reviewed in this issue of ST Format
ST Format
# 55 - Feb 94

» Atari ST CD-Roms available for download from only $2 «

 


Got a fond memory of this game?
Then write about it here to share with others!

Opps! - You need to be logged-in to leave a comment
Why not sign-up now?
It's cheaper than an ST Format subscription :)

small ST picture raytraced by Rich Davey 2001


Matt_B wrote ...2006-11-27 17:10:15
To make it playable on an ordinary ST, try turning the graphics detail to low and turn off the space dust and background stars. This will vastly increase the frame rate and it still looks OK compared to most 3D games on the machine.
innociv wrote ...2006-04-19 17:23:13
www.atarifrontier.de.vu For shareware version of Frontier Elite II for Atari ST/Amiga and PC among other Frontier-related material.
Radim Kosarik wrote ...2006-03-18 15:07:25
Mentioning the Amiga version, it was slow even on accelerated A1200 with 030/50Mhz and 16MB RAM (especially during fights when trying to perform quick turnaround), so I guess it's not such a big surprise that Falcon (16Mhz?) was also unable to run it perfectly. But it was playable nonetheless.
Bandages wrote ...2004-08-19 20:45:51
The Amiga version was slow on an ordinary 68000 system as well. Over-ambitious from an ST perspective, but worth a try on an accelerated machine (real or emulated)
SaTcom2 wrote ...2004-04-13 03:36:02
Is it just me or is this just too dang slow and cludgy. I even tried it on my Falcon and it was STILL slow and cludgy! How do you make this run right on a Falcon, is there a special trick to it?
Jeezon Torst wrote ...2003-11-14 16:28:17
Check out Freelancer on the PC if you like this... it's not quite as good, but it's close!
Carrot wrote ...2003-10-23 15:55:51
such a great game... My lowly 520 STfm wouldn't play it, nor would my brothers. But my Dads STe 520 (upgraded to 1meg) would. He used to hate the hours we spent on his computer :D I only wish they would get on with bringing out the next one. I never played Elite, I loved FE2, and thought FFE sucked. Not to mention that the PC version of FE2 sucked as well, just on graphics and sound. The thing that holds this above privateer, and also Freelancer is the fact that not every mission revolved around combat. And the fact you didn't always get payed. I like the fact also, that it is based around the real universe for its planets if nothing else. At the end of the day I would love to see the same game again, with purely uprated graphics and sound. The rest of it was fine. I wonder... does anyone here think that it is possible to rip the code and give it new 3D graphics?
guy ross wrote ...2003-10-06 17:55:23
It was damn fine - I didn't have a problem with the framerate - It was one of the few games that worked on the falcon :D I spent bloody ages playing this game - I had my fave ship (the biggish thingy - big capacity but only one crew memeber needed) , My allegience (imperial, natch - my mate flirted with the other peeps. the toss). But i did (eventually) get into a rutt... mind you, it was bloody well made, it DID look good and was excellent, time consuming fun. Oh yes.
Alex F. wrote ...2003-03-20 09:25:50
Why the hell is everybody complaining about the framerate??? The ┬žD-Grafix are extremely fast! But they are extremely complex as well! So stop moaning about slow grafix...that's about the same as saying "Unreal Tournament is too slow" while playing it on a 486... So get a TT or Falcon and play Elite II on this machine! IT IS THE GREATEST GAME EVER!
Sam Pointer wrote ...2003-02-07 12:32:48
How many people found Cemiess (hint: it *payed* you to take away Gemstones) in the Imperial section (bottom of the map)...
Jimbo wrote ...2003-01-14 12:11:23
I really liked it, though it got a bit boring if you didn't set yourself goals and aims. I thought the time frames that the missions gave you were a bit tight unless you had a speedy (but therefore easily destroyed) ship.
Naykon wrote ...2002-09-14 12:34:33
I got my atari off my uncle about 6 years ago when he bought a PC, Frontier Elite 2 is without a doubt my favourite game of all time, playing it years ago was good, the graphics look dodgy compared to games out now for other consoles, but it was the gameplay and the fantastic idea of having control of your own ship and being able to fly it anywhere in the galaxy whilst trading of fighting or doing what ever you wanted to do. The idea for frontier was extremely good, i just hope Frontier Elite 4 comes out for the PC soon; yuo can check its progress on the official website; www.frontier.co.uk if this game was re-released now on the pc with the same graphics as say...Jumpgate or Tachyon it would be the best game ever to be released since Half-Life!
Scoops wrote ...2002-06-21 18:46:33
Definitely too ambitious for the ST. The frame rate made things too hard and combat pretty much sucked. Soooo much potential and created a living universe just waiting to be explored. This one is just waiting to be updated as a MMORPG.
Chris Mitchell wrote ...2002-06-06 15:58:38
HI
Feige wrote ...2002-02-20 10:45:54
Hey, Nemesis, what's wrong? This is THE BEST GAME EVER RELEASED FOR THE ST - and if it's too lsow on the ST (it is!), play it on the TT or the Falcon! Why does anyone need a story? Nobody needs a story because a story will be ended at some point. You can do anything here. And that for years. You will never finish this game and you will keep on playing and playing it. Randomly generated systems. Yes: Millions! Absolutely great! There's a reason for being so many websites around this game on the web. It's simply outstanding! And if it's just for watching Saturn rise from your ship on Kallisto Base. The fights? Baah, get a Panther Clipper (by smuggling luxury goods to Van Maanen's Star) as soon as possible, buy a few hundret shield generators and a 20 MW Beam Laser on each of the turrets and send them all to hell...muarharharhar!!!! The missions? I don't need missions. I need minig planets, flying through wormholes and discovering a galaxy! And I got it with Frontier!
Nemesis wrote ...2001-12-10 20:09:51
Hate to be the basher for once, but in my humble opinion this sequel to one of the best games ever (Elite, who would've guessed it? :)) sucked. Big time. The numerous bugs (which may only have been in the german PC version) left aside, I never got motivated much to play it for long (and boy was i motivated to spend months on it when it was finally released!). The missions got repetitive fast, the storyline was hard to find (was there any?), and the universe... yes, big as hell, most of it hardly or not reachable at all without certain tricks, and beyond some hand designed systems it's randomly generated. Space combat was a disappointment in itself. Why do I have to care about thrust and counter-thrust, space combat thus always resulting in the enemy circling continuously around me or me around him and aiming becoming an unnerving process? The game is set in a far future and Braben really wants me to believe that no one has developed ship comuters and engine systems by then that are able of making handling for the pilot a dozen times easier? Please. Realism or even pseudo realism (like in this case) is fine in a game as long as it doesn't kill the gameplay. What really amazed me about Elite 2 though was the fact that - randomly generated star systems or not - the devloper managed to pack this admittedly huge and diverse game into such little disc space. Regarding programming it was a magnificent job, but gamplaywise... not my cup of tea. I chose (and still choose) Privateer any time back then. :)
Matthias Arndt wrote ...2001-11-24 15:47:31
Very good game - but the ST versions is definitely too slow to make fun. I'd never try this one on a simpel 8Mhz ST. Gonna try it on a clocked-up emu.... i prefer the first part - but this one has many good ideas and severeal types of ships and a vast universe to explore.
David Newman wrote ...2001-11-19 12:42:07
Absolute classic. It's a bit slow on an ST, so I forgive myself for playing the PC version (and FFE). Either way it's a highly involving game, that you can never complete (like Elite) and therefore never really lay to rest.
costa wrote ...2001-11-17 06:22:27
best space sim/trade/adventure game ever! a must have!
Mark Ashford wrote ...2001-11-06 09:32:26
This is one of the later ST games to be released, and one of the most involving and in-depth games ever, one which I still play every now and then today. There's just so much to do with a whole universe to explore. Once you got into the game a bit and the missions got a bit harder it was quite tough too. The only problem is that because there's so much to do you can just wander around aimlessly for hours without actually getting anywhere in the game. This one works well on emulators as it was a bit slow on the ST and STe.